{
	saved_FirstTime [1]

	Init[ ()
	{
		SetNationality(0);

		if (saved_FirstTime = 1)
		{
			SetRunning();
			PlayAnimation(7);
			SetHealth(256);
			GiveWeapon(41);

			saved_FirstTime = 0;
		}

		DropWeaponOnDeath(true);

	}]

	DelayReached[ (dr)
	{
		if(dr = 10)
		{
		FollowPath ("shooter_path", 0);
		FollowPathCallback(127, "GoPatrol");
		}
		if(dr = 20)
		{
		FollowPathCallback(127, "GoPatrol");
		}
		if(dr = 100)
		{
			if(not self.IsDead())
			{
				Duck();
			}	
		}
		if(dr = 200)
		{
			if(not self.IsDead())
			{
				GoPatrol();
			}	
		}	
	}]

	GoPatrol[()
	{
		Rpause = Random(2,3,4);
		SetRunning();
		SetAttackDistance(13, 7);
		SetState_Patrol(0);
		SetLineOfSight(0);
		SetWander(0);
		// Delay(Rpause, 100);
	}]
	
	Duck[()
	{
		Rpause = Random(2,3,4);
		SetState_Idle();
		PlayAnimation(8);
		SetCrouching();
		TurnToLocation( 105, 62);
		Delay(Rpause, 200);	
	}]

	Wait[()
	{
		TurnToEntity(Level.GetEntity("Sgt"));
		//TurnToLocation( 27213, 13979);
		Delay(4, 10);
	}]

	DoIdle[()
	{
		Level.Log ("--> Cleetus [DoIdle]");
		SetState_Idle();
		PlayAnimation (7);
	}]

	DoTanks1[()
	{
		SetPosition( 23952, 20448, -647);
		FollowPath("shooter_path2", 0);
		FollowPathCallback(127, "SetState_Idle");
	}]

}